import { BeakerXDataGrid } from "../BeakerXDataGrid";
import { ICellData } from "../interface/ICell";
import { BeakerXDataStore } from "../store/BeakerXDataStore";
import DataGridColumn from "./DataGridColumn";
import { IColumnPosition } from "../interface/IColumn";
export default class ColumnPosition {
    dataGrid: BeakerXDataGrid;
    store: BeakerXDataStore;
    grabbedCellData: ICellData | null;
    dropCellData: ICellData | null;
    draggableHeaderCanvas: HTMLCanvasElement;
    draggableHeaderOffsetLeft: number | null;
    dragStartTimeoutId: number;
    constructor(dataGrid: BeakerXDataGrid);
    destroy(): void;
    startDragging(data: ICellData): void;
    stopDragging(): void;
    isDragging(): boolean;
    reset(): void;
    getColumnByPosition(position: IColumnPosition): DataGridColumn;
    dropColumn(): void;
    setPosition(column: DataGridColumn, position: IColumnPosition): void;
    updateAll(): void;
    moveDraggedHeader(event: MouseEvent): boolean;
    private debounceDragStart;
    private handleDragStart;
    private moveColumn;
    private toggleGrabbing;
    private attachDraggableHeader;
    private handleCellHovered;
}
