import { CommandRegistry } from '@phosphor/commands';
import { Widget } from '@phosphor/widgets';
import { BeakerXDataGrid } from "../BeakerXDataGrid";
import Menu from './BkoMenu';
import MenuItem from '../../../shared/interfaces/menuItemInterface';
import MenuInterface from '../../../shared/interfaces/menuInterface';
import DataGridColumn from "../column/DataGridColumn";
export default abstract class HeaderMenu implements MenuInterface {
    columnIndex: number;
    protected commands: CommandRegistry;
    protected menu: Menu;
    protected viewport: Widget;
    protected triggerNode: HTMLElement;
    protected dataGrid: BeakerXDataGrid;
    protected column: DataGridColumn;
    private TRIGGER_CLASS_OPENED;
    private TRIGGER_CLASS_SORTING_DESC;
    private TRIGGER_CLASS_SORTING_ASC;
    static DEFAULT_TRIGGER_HEIGHT: number;
    static DEFAULT_TRIGGER_WIDTH: number;
    constructor(column: DataGridColumn);
    protected abstract buildMenu(): void;
    updateTriggerPosition(): void;
    showTrigger(): void;
    hideTrigger(): void;
    attachTriggerToMenu(): void;
    open(submenuIndex?: number): void;
    close(): void;
    destroy(): void;
    toggleMenu(submenuIndex?: number): void;
    createItems(items: MenuItem[], menu: Menu): void;
    addCommand(menuItem: MenuItem, menu: Menu): string;
    createSubmenu(menuItem: MenuItem, subitems: MenuItem[]): Menu;
    protected assignTriggerSortingCssClass(): void;
    protected addTrigger(): void;
    private handleMenuTriggerClick;
    protected getMenuPosition(trigger: any): {
        top: any;
        left: any;
    };
    protected correctPosition(trigger: any): void;
    protected handleKeydownEvent(event: KeyboardEvent): void;
    protected addItemsFiltering(menu: Menu): void;
    protected hideMenuItems(menu: Menu, filterValue: string): void;
}
